function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/**
 * 计量-工况信息
 */
import dayjs from 'dayjs';
import { VmTable } from "../../../_components";
import useSettings from "../../../_hooks/useSettings";
import { BaseService } from "../../api";
import "./index.less";
import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
var WorkCondition = function WorkCondition(props) {
  var _realtimeRes$map, _timeSumData$names, _timeSumData$extraDat;
  var _useSettings = useSettings(),
    tabPosition = _useSettings.tabPosition;
  var startDate = props.startDate,
    endDate = props.endDate,
    deviceId = props.deviceId;
  var _BaseService$useRealt = BaseService.useRealtime(deviceId),
    realtimeRes = _BaseService$useRealt.realtimeRes;
  var _BaseService$useJczbq = BaseService.useJczbqsfx(realtimeRes === null || realtimeRes === void 0 || (_realtimeRes$map = realtimeRes.map(function (ele) {
      return ele.monitorItemCode;
    })) === null || _realtimeRes$map === void 0 ? void 0 : _realtimeRes$map.join(','), deviceId, dayjs(startDate).format('YYYY-MM-DD 00:00:00'), dayjs(endDate).format('YYYY-MM-DD 23:59:59')),
    timeSumData = _BaseService$useJczbq.timeSumData;
  var data = [];
  if (!(timeSumData !== null && timeSumData !== void 0 && timeSumData.names) || (timeSumData === null || timeSumData === void 0 || (_timeSumData$names = timeSumData.names) === null || _timeSumData$names === void 0 ? void 0 : _timeSumData$names.length) < 1) {
    data = [];
  } else {
    var extraData = timeSumData.extraData,
      names = timeSumData.names,
      values = timeSumData.values;
    names.forEach(function (name, index) {
      var obj = {};
      extraData === null || extraData === void 0 || extraData.forEach(function (item, idx) {
        obj[item.monitorItemName] = values[idx][index];
      });
      data.push(_objectSpread({
        time: name
      }, obj));
    });
  }
  var columns = [].concat(_toConsumableArray((timeSumData === null || timeSumData === void 0 || (_timeSumData$extraDat = timeSumData.extraData) === null || _timeSumData$extraDat === void 0 ? void 0 : _timeSumData$extraDat.map(function (ele) {
    return {
      title: ele.unit ? "".concat(ele.monitorItemName, "(").concat(ele.unit, ")") : "".concat(ele.monitorItemName),
      dataIndex: ele.monitorItemName,
      key: ele.monitorItemName,
      render: function render(text) {
        return text || '-';
      }
    };
  })) || []), [{
    title: '数据采集时间',
    dataIndex: 'time',
    key: 'time',
    sorter: function sorter(a, b) {
      return dayjs(a.time).valueOf() - dayjs(b.time).valueOf();
    },
    render: function render(text) {
      return text || '-';
    }
  }]);
  var tableProps = {
    height: tabPosition === 'top' ? 424 : 462,
    paganitation: false,
    dataSource: data || []
  };
  return /*#__PURE__*/_jsx(_Fragment, {
    children: /*#__PURE__*/_jsx(VmTable, _objectSpread({
      columns: columns,
      rowKey: "time"
    }, tableProps))
  });
};
export default WorkCondition;